#
# spec file for package python-nelsnmp
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-nelsnmp
Version:        0.2.5
Release:        1.2
Summary:        A wrapper module for pysnmp
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://networklore.com/nelsnmp/
Source:         https://pypi.io/packages/source/n/nelsnmp/nelsnmp-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pysnmp
Requires:       python-pysnmp
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Nelsnmp is a wrapper around pysnmp to make it easier to use SNMP against
network equipment.

Nelsnmp is used by nelmon and the Cisco SNMP Ansible modules
  * http://networklore.com/ansible-cisco-snmp/
  * http://networklore.com/nelmon/

%prep
%setup -q -n nelsnmp-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/nelsnmp
%{python_sitelib}/nelsnmp-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Oct 12 2016 mardnh@gmx.de
- initial package, version 0.2.5
